Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.schema
Interface MappedPropertyType

All Superinterfaces:
  PropertyType

All Known Implementing Classes:
  MappedFeaturePropertyType, MappedGeometryPropertyType, MappedSimplePropertyType

    public interface MappedPropertyType

extends PropertyType

Represents a mapped (persistent) property type in a GML feature type definition.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , Anup Deshmukh , last edited by: $Author: mschneider $

Method Summary
`TableRelation[]` | `getTableRelations()` Returns the path of `TableRelation`s that describe how to get to the table where the content is stored.
`boolean` | `isIdentityPart()` Returns whether this property has to be considered when two instances of the parent feature are checked for equality.

Methods inherited from interface org.deegree.model.feature.schema.PropertyType
`getMaxOccurs, getMinOccurs, getName, getType`

Method Detail

### isIdentityPart

    boolean isIdentityPart()

  Returns whether this property has to be considered when two instances of the parent feature are checked for equality.

  Returns:
    true, if this property is part of the feature's identity

### getTableRelations

    TableRelation[] getTableRelations()

  Returns the path of `TableRelation`s that describe how to get to the table where the content is stored.

  Returns:
    path of TableRelations, may be null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org